Bug 59838 - Xamarin.Forms.Maps - Android: MoveToRegion not working when HasZoomEnabled is true
Summary: Xamarin.Forms.Maps - Android: MoveToRegion not working when HasZoomEnabled i...
Status: RESOLVED NORESPONSE
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.4.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-29 07:52 UTC by JeremyH
Modified: 2017-11-06 21:31 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NORESPONSE

Description JeremyH 2017-09-29 07:52:06 UTC
If the Map control has HasZoomEnabled property set to true, calling MoveToRegion doesn't work, the view is not moved to the given location.

I have latest stable versions of Xamarin Android and Xamarin Forms (v2.4.0.280).
Comment 1 Paul DiPietro [MSFT] 2017-10-04 17:06:01 UTC
Can you please upload a reproduction? Does using a different support library version make any difference at all?
Comment 2 Paul DiPietro [MSFT] 2017-11-06 21:31:03 UTC
Resolving as no response has been provided for over a month. Please reopen with a reproduction project as requested if this issue still occurs as of the latest stable build.